import graph;
size(250,250);
real f(real x) {return 8*cbrt(x)+(cbrt(x))^4;}
pair F(real x) {return (x,f(x));}
draw(graph(f,-10,6,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(-2),4+black);
label("$(-2,-2^{\frac {10}{3}}+2^{\frac {4}{3}})$",F(-2),SW);
dot((0,0),4+black);
dot(F(4),4+black);
label("$\left (4,3(4)^{\frac {4}{3}}\right )$",F(4),E);
xtick("$-8$",-8);
label("$f(x)=8x^{\frac {1}{3}}+x^{\frac {4}{3}}$",F(1),SE);

