import graph;
size(125,0);
real f(real x) {return abs(x);}
pair F(real x) {return (x,f(x));}
real g(real x) {return -abs(x);}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-2,2,operator ..),red+2);
draw(graph(g,-.5,.5,operator ..),dashed);
label("$f(x)=|x|$",F(1),SE);
//labelx("$0$",0,S);
