import graph;
size(125,0);
real f(real x) {return sin(3x);}
pair F(real x) {return (x,f(x));}
real ftan(real x) {return 3*cos(3pi/4)*(x-pi/4)+sin(3pi/4);}
real g(real x) {return .5*cos(5x)+.7;}
real gtan(real x) {return -2.5*sin(5pi/4)*(x-pi/4)+g(pi/4);}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0.2,pi/4,operator ..),red+2);
draw(graph(ftan,pi/4-.2,pi/4+.05,operator ..),dashed);
draw(graph(g,pi/4,pi/2,operator ..),red+2);
draw(graph(gtan,pi/4-.1,pi/4+.25,operator ..),dashed);
dot(F(pi/4),4+black);
dot(F(pi/4),3+red);
dot(G(pi/4),4+black);
dot(G(pi/4),3+white);
labelx("$a$",pi/4,S);
