import graph;
size(250,0);
real f(real x) {return x^2+2*x+1;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmin=-3,xmax=3,ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(-3,3),OmitTick(0,-3,3)), Arrow(HookHead,size=4));
yaxis("$y$",ymin=-3,ymax=3,ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(-3,3),OmitTick(0,-3,3)),Arrow(HookHead,size=4));
draw(graph(f,-2.732,0.732,operator ..),red+2);
//label("$y=f(x)+1=x^2+2x+1$",F(-1)+(.85,-.2),S);
label("$y=f(x)+1$",F(.5),SE);
label("$~=x^2+2x+1$",F(.5)+(0.05,-.4),SE);
