import graph;
size(200,200,IgnoreAspect);
real f(real x) {return -(x+2)*x*(x-2);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2.25,2.25,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymin=-3.5,ymax=4,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,4)),above=true);

