import graph;
size(200,200,IgnoreAspect);
real f(real x) {return -(x-1)^2*(x-3);}
pair F(real x) {return (x,f(x));}
draw(graph(f,0,3.5,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),xmax=3.5,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitTick(0)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N), ymax=3.5, Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10))),above=true);
dot(F(0),4+black);
dot(F(0),3+white);

