import graph;
size(300,0);
real f(real x) {return -.3/abs(x-2);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=6.4,Arrow(HookHead,size=4));
yaxis("$y$",ymax=2,Arrow(HookHead,size=4));
draw(graph(f,-4,1.9,operator --),red+2);
draw(graph(f,2.1,6,operator --),red+2);
xequals(2,ymin=-3,ymax=0,dashed);
labelx("$2$",2,N);
label("$\displaystyle\lim_{x\rightarrow2}f(x)=-\infty$",(3,-2),E);
