import graph;
size(200,0);
real f(real x) {return .3sin(2*x)+1.5;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=3.5,Arrow(HookHead,size=4));
yaxis("$y$",ymax=2.5,Arrow(HookHead,size=4));
draw(graph(f,1,3,operator --),red+2);
//draw(graph(g,-6,0.9,operator --),red+2);
xequals(1,ymin=0,ymax=f(1),dashed);
xequals(2,ymin=0,ymax=f(2),dashed);
xequals(3,ymin=0,ymax=f(3),dashed);
labelx("$1$",1,S);
labelx("$2$",2,S);
labelx("$3$",3,S);
label("$\displaystyle f(x)$",F(2.8),NW);
dot(F(1),4+black);
dot(F(1),3+red);
dot(F(3),4+black);
dot(F(3),3+red);
