import graph;
size(150,0);
real f(real x) {return x^2+1;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(xmin=-2.5,xmax=2.5,shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(),OmitTick()));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(ymax=7.6,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)));
draw(graph(f,-2.5,1.95,operator ..),red+2);
draw(graph(f,-2.05,2.5,operator ..),red+2);
xequals(2,ymin=0,ymax=f(-2),dashed);
yequals(f(2),xmin=0,xmax=2,dashed);
//labely("L=",5,W);
label("$y=g(x)$",F(2.3),NW);
dot((2,6),3+black);
dot((2,6),2+red);
dot((2,5),3+black);
dot((2,5),2+white);
//dot((2,6),L=Label("$(2,6)$",align=NW),6+black);
//label("$(-2,4)$",F(-2),W);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
