import graph;
size(150,150,IgnoreAspect);
real f(real x) {return .5*x+.25;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -x^2+0.25;}
pair G(real x) {return (x,g(x));}
draw(graph(f,-0.5,0,operator ..),red+2);
draw(graph(g,0,0.5,operator ..),red+2);
xaxis("$x$",xmax=0.7,Arrow(HookHead,size=4),above=true);
yaxis("$y$",ymax=0.4,Arrow(HookHead,size=4),above=true);

