import graph;
//import geometry;
size(150,0);
real f(real x) {return x^2;}
pair F(real x) {return (x,f(x));}
//xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,9)));
//yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1.4,1.4,operator ..),red+2);
//label(shift(-2,2)*Label("$f(x)$",fontsize(9)),F(1.4),E);
label("$f(x)=x^2$",F(1.2),W);
draw((-1.3,1.6)--(-.7,.4),blue+2);
draw((.7,.4)--(1.3,1.6),purple+2);
draw((-1.4,-.5)--(0,-.5),blue,Arrow(size=6));
draw((0,-.5)--(1.4,-.5),purple,Arrow(size=6));
dot(F(-1),4+black);
dot(F(1),4+black);
label(Label("Slope $-$",fontsize(14)+blue),(-.7,-.5),S);
label(Label("Slope $+$",fontsize(14)+purple),(.7,-.5),S);
