texpreamble("\input{localsymbols.sty}");
import graph; size(350,0);
real f(real x) {return -sin(x)+1.5;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=7,Arrow(HookHead,size=4));
yaxis("$y$",ymax=3,Arrow(HookHead,size=4));
draw(graph(f,.5,6,operator ..),red+2);
label("$f(x)$",F(3),NW);
dot(F(.5),4+black); dot(F(.5),3+red);
dot(F(6),4+black); dot(F(6),3+red);
xequals(.5,ymin=0,ymax=f(.5),dotted);
xequals(pi/2,ymin=0,ymax=0.5,dashed);
xequals(3*pi/2,ymin=0,ymax=2.5,dashed);
xequals(6,ymin=0,ymax=f(6),dotted);
yequals(.5,xmin=0,xmax=pi/2,dashed);
yequals(2.5,xmin=0,xmax=3*pi/2,dashed);
labelx("$a$",.5,S);
labelx("$d$",pi/2,S);
labelx("$c$",3*pi/2,S);
labelx("$b$",6,S);
labely("\absolute min",0.5,W);
labely("\absolute max",2.5,W);
