import graph;
size(175,0);
real a=1;
real b=4;
real f(real x) {return a*x**3;}
pair F(real x) {return (x,f(x));}
real ftan(real x) {return 3*(x-1)+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return sqrt((b-x^2)/3);}
pair G(real x) {return (x,g(x));}
real gtan(real x) {return -1/3*(x-1)+1;}
real h(real x) {return -sqrt((b-x^2)/3);}
pair H(real x) {return (x,h(x));}
xaxis("$x$",xmax=2.2,Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-.1,1.4,operator --),red+2);
draw(graph(ftan,.75,1.25,operator --),purple+2);
//label("$a=2$",F(1.11),NE);
draw(graph(g,-.1,sqrt(b)-.0001,operator --),blue+2);
draw(graph(gtan,.5,1.5,operator --),purple+2);
//draw(graph(h,-sqrt(b)+.0001,sqrt(b)-.0001,operator --),blue+1);
//label("$b=2$",H(.8),SE);
//label("$b=\frac{3}{2}$",H(.85),SE);
dot(F(1),black+5);
//label("$(2,3)$",F(2),W);
//labelx("$-1$",-1);
