import graph;
size(400,0);
real f(real x) {return sin(x);}
pair F(real x) {return (x,f(x));}
real g(real x) {return cos(x);}
pair G(real x) {return (x,g(x));}
real a;
real ftan(real x) {return g(a)*(x-a)+f(a);}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",ymax=1.5,Arrow(HookHead,size=4));
draw(graph(f,-2,2.5,operator ..),red+2);
a=-1.7;
draw(graph(ftan,a-.5,a+.5,operator ..),blue+1);
dot(F(-1.7),black+5);
xequals(-1.7,ymin=f(-1.7),ymax=0,dashed);
labelx("$-1.7$",-1.7,N);
label("$m=f'(-1.7)=-0.13$",(-1.7+.5,ftan(-1.7+.5)),SW);
a=-.5;
draw(graph(ftan,a-.5,a+.5,operator ..),blue+1);
dot(F(-.5),black+5);
xequals(-.5,ymin=f(-.5),ymax=0,dashed);
labelx("$-0.5$",-.5,N);
label("$m=f'(-0.5)=0.88$",(-0.5-.5,ftan(-0.5-.5)),E);
a=.7;
draw(graph(ftan,a-.5,a+.5,operator ..),blue+1);
dot(F(.7),black+5);
xequals(.7,ymin=0,ymax=f(.7),dashed);
labelx("$0.7$",.7,S);
label("$m=f'(0.7)=0.76$",(.7+.3,ftan(.7+.3)-.07),NW);
a=1.6;
draw(graph(ftan,a-.5,a+.5,operator ..),blue+1);
dot(F(1.6),black+5);
xequals(1.6,ymin=0,ymax=f(1.6),dashed);
labelx("$1.6$",1.6,S);
label("$m=f'(1.6)=-0.03$",(1.6-.5,ftan(1.6-.5)),NE);
label("$f(x)$",F(2.5),SW);
