import graph;
size(150,0);
real f(real x) {return x^2;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,2)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0,1,3),OmitTick(0,5)));
draw(graph(f,-2.2,2.2,operator ..),red+2);
xequals(-2,ymin=0,ymax=f(-2),dashed);
yequals(f(-2),xmin=-2,xmax=-.5,dashed);
//labely(1,E);
//label("$y=x^2$",F(2.1),NW);
dot((-2,4),L=Label("$(-2,4)$",align=W),6+black);
//label("$(-2,4)$",F(-2),W);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
