import graph;
size(150,0);
real f(real x) {return 1-1/2*x^2+1/27*x^3+1/21*x^4;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,3.5,operator ..),red+2);
xequals(.5,ymin=-2,ymax=3.5,dashed);
dot(F(.5),6+black);
label("A function",(-3.7,2.5),E);
