import graph;
size(150,150);
real f(real x) {return -2/3*(x-1)^2*(x-3);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-0.2,3.5,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",ymax=4,Arrow(HookHead,size=4),above=true);
xtick("$3$",3);
xtick("$1$",1);
ytick("$2$",2);

