import graph;
size(253,0);
real f(real x) {return 1-1/2*x^2+1/27*x^3+1/21*x^4;}
pair F(real x) {return (x,f(x));}
real g(real x) {return 1-1/2*(x-2)^2+1/27*(x-2)^3+1/21*(x-2)^4;}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,3.5,operator ..),red+dashed);
draw(graph(g,-2,5.5,operator ..),blue+2);
draw(F(-3.7)--G(-1.7),black+2,Arrow(size=8));
label(scale(1.8)*"$a$",(-2.7,1),S);
label("$y=f(x-a)$",G(.3),SE);

