import graph;
size(150,0);
real f(real x) {return 3;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(1,3,4),OmitTick(0,4)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(ymax=4,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0,1,2),OmitTick(0,4)));
draw(graph(f,-.1,4,operator ..),red+2);
xequals(2,ymin=0,ymax=f(2),dashed);
yequals(f(2),xmin=0,xmax=2,dashed);
//labely("L=",5,W);
label("$f(x)=3$",F(1),N);
label("$\displaystyle\lim_{x\rightarrow2}3=3$",(2.2,2.4),E);
label("Constant Function",(2,4),N);
dot(F(1),4+black);
dot(F(1.5),4+black);
dot(F(1.75),4+black);
dot(F(1.9),4+black);
dot(F(2.1),4+black);
dot(F(2.25),4+black);
dot(F(2.5),4+black);
dot(F(3),4+black);
//dot((2,5),L=Label("$(2,5)$",align=NW),6+black);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
