import graph;
size(200,0);
real f(real x) {return (x-4)/(x^2+1);}
pair F(real x) {return (x,f(x));}
real g(real x) {return x-4;}
pair G(real x) {return (x,g(x));}
real h(real x) {return (9*x/5-4);}
pair H(real x) {return (x,h(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-3,3,operator ..),red+2);
draw(graph(g,-1,2.5,operator ..),blue+2);
draw(graph(h,-1,3,operator ..),purple+2);
label("$\displaystyle y=\frac{x-4}{x^2+1}$",F(-1),SW);
label("$\displaystyle y=x-4$",G(1),SE);
label("$\displaystyle y=\frac{9}{5}x-4$",H(2.5),NW);
dot((0,-4),L=Label("$(0,-4)$",align=SE),6+black);
dot((2,-2/5),L=Label("$\left(2,-\frac{2}{5}\right)$",align=SE),6+black);
