import graph;
size(200,0);
real f(real x) {return -abs(x-0.5)+1;}
pair F(real x) {return (x,f(x));}
draw(graph(f,0,1,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),xmax=1.15,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=0.5,Size=3,Label(fontsize(10))),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymax=1.15,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=0.5,Size=3,Label(fontsize(10))),above=true);

